CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

扩展线宽属性 (ActiveX)

2023-1-3 17:00| 发布者: admin| 查看: 480| 评论: 0|来自: AutoCAD

摘要: 指定延长线的线宽。

指定延长线的线宽。

支持的平台:仅窗口

签名

工 务 局:

object.ExtensionLineWeight
对象

类型:三点角度,暗对齐,暗,暗弧长度,暗坐标,暗旋转

此属性适用的对象。

属性值

只读:

类型:枚举acLineWeight

  • acLnWtByLayer
  • acLnWtByBlock
  • acLnWtByLwDefault
  • acLnWt000
  • acLnWt005
  • acLnWt009
  • acLnWt013
  • acLnWt015
  • acLnWt018
  • acLnWt020
  • acLnWt025
  • acLnWt030
  • acLnWt035
  • acLnWt040
  • acLnWt050
  • acLnWt053
  • acLnWt060
  • acLnWt070
  • acLnWt080
  • acLnWt090
  • acLnWt100
  • acLnWt106
  • acLnWt120
  • acLnWt140
  • acLnWt158
  • acLnWt200
  • acLnWt211

言论

此属性的初始值为。acLnWtByBlock

线宽设置仅在属性设置为 时才可见。LineweightDisplayTrue

注意:此属性将覆盖给定维度的 DIMLWE 系统变量的值。

例子

工 务 局:

Sub Example_ExtensionLineWeight()
    ' This example creates a Dim3PointAngular object in model space
    ' and changes the extension lineweight to a thicker value
    ' using the ExtensionLineWeight property
    
    Dim DimPointAngularObj As AcadDim3PointAngular
    Dim AngleVertex(0 To 2) As Double
    Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double
    Dim TextPoint(0 To 2) As Double
    Dim oldLWSetting As Boolean
    Dim CurrentSetting As String
    
    ' Turn on lineweight display to see the changes
    oldLWSetting = ThisDrawing.preferences.LineWeightDisplay
    ThisDrawing.preferences.LineWeightDisplay = True
    
    ' Define the new Dim3PointAngular object
    AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0
    FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0
    SecondPoint(0) = 1: SecondPoint(1) = 4: SecondPoint(2) = 0
    TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0

    ' Create the new Dim3PointAngular object in model space
    Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint)
    ThisDrawing.Application.ZoomAll

    ' Read and display current extension lineweight
    CurrentSetting = DimPointAngularObj.ExtensionLineWeight
    Select Case CurrentSetting
        Case acLnWtByLayer: CurrentSetting = "ByLayer"
        Case acLnWtByBlock: CurrentSetting = "ByBlock"
        Case acLnWtByLwDefault: CurrentSetting = "ByDefault"
        Case Else
    End Select
    
    MsgBox "The extension lineweight for this object is currently set to: " & CurrentSetting

    ' Change the extension lineweight
    DimPointAngularObj.ExtensionLineWeight = acLnWt100
    ThisDrawing.Regen acAllViewports
    
    ' Read and display current extension lineweight
    MsgBox "The extension line weight for this object is now set to: " & DimPointAngularObj.ExtensionLineWeight
    
    ' Return previous lineweight setting
    ThisDrawing.preferences.LineWeightDisplay = oldLWSetting
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_ExtensionLineWeight()
    ;; This example creates a Dim3PointAngular object in model space
    ;; and changes the extension lineweight to a thicker value
    ;; using the ExtensionLineWeight property
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    (setq preferences (vla-get-Preferences doc))
  
    ;; Turn on lineweight display to see the changes
    (setq oldLWSetting (vla-get-LineWeightDisplay preferences))
    (vla-put-LineWeightDisplay preferences :vlax-true)
    
    ;; Define the new Dim3PointAngular object
    (setq AngleVertex (vlax-3d-point 0 0 0)
          FirstPoint (vlax-3d-point 2 2 0)
          SecondPoint (vlax-3d-point 1 4 0)
          TextPoint (vlax-3d-point 6 6 0))

    ;; Create the new Dim3PointAngular object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq DimPointAngularObj (vla-AddDim3PointAngular modelSpace AngleVertex FirstPoint SecondPoint TextPoint))
    (vla-ZoomAll acadObj)

    ;; Read and display current extension lineweight
    (setq CurrentSetting (vla-get-ExtensionLineWeight DimPointAngularObj))
    (cond
        ((= acLnWtByLayer CurrentSetting)(setq CurrentSetting "ByLayer"))
        ((= acLnWtByBlock CurrentSetting)(setq CurrentSetting "ByBlock"))
        ((= acLnWtByLwDefault CurrentSetting)(setq CurrentSetting "ByDefault"))
	                                            (setq CurrentSetting (itoa CurrentSetting))
    )
    
    (alert (strcat "The extension lineweight for this object is currently set to: " CurrentSetting))

    ;; Change the extension lineweight
    (vla-put-ExtensionLineWeight DimPointAngularObj acLnWt100)
    (vla-Regen doc acAllViewports)
    
    ;; Read and display current extension lineweight
    (alert (strcat "The extension line weight for this object is now set to: " (itoa (vla-get-ExtensionLineWeight DimPointAngularObj))))
    
    ;; Return previous lineweight setting
    (vla-put-ExtensionLineWeight DimPointAngularObj oldLWSetting)
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 14:00

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部